groovy.swing.impl

## Class DefaultAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - groovy.swing.impl.DefaultAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

    public class DefaultAction
    extends javax.swing.AbstractAction

A default action implementation

Author:
  James Strachan
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
Constructor and Description
`DefaultAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(java.awt.event.ActionEvent event)`
`Closure` `getClosure()`
`void` `setClosure(Closure closure)`

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultAction

    public DefaultAction()

### Method Detail

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

#### getClosure

    public Closure getClosure()

#### setClosure

    public void setClosure(Closure closure)